<?php
/* vim: set et ts=4 sw=4 sts=4 ai: */
// +----------------------------------------------------------------------+
// | Image re-ordering                                                    |
// +----------------------------------------------------------------------+
// | @version $Revision: 1.3 $
// +----------------------------------------------------------------------+

if(!$page) { exit; }

// Only ADMINS can re-order
$tripcode = tripcode($_COOKIE["tripcode"]);
$tripcodes = explode(",",ADMINS);
if(!in_array($tripcode,$tripcodes)) {
    $page->fail($ERRORS["tripcodefail"]);
}

$id = $_REQUEST["id"];
if(!is_numeric($id)) { $page->fail($ERRORS["unknownrequest"]); }

if($_POST) {

    if(!is_numeric($_POST["target"]) ||
        ($_POST["sort"]!= "asc" && $_POST["sort"]!="desc")) {
        $page->fail($ERRORS["unknownrequest"]);
    }
    if($result = reorder($id,$_POST["target"],$_POST["sort"])) {
        echo $STRINGS["modifythanks"];
        echo JS_AUTO_CLOSE;
    } else {
        $page->fail($ERRORS["queryfail"]);
    }


} else {

    $tmpl = new HTML_Template_IT(TEMPLATE_DIR,array("use_preg"=>false));
    $tmpl->loadTemplateFile("move.tmpl");
    $tmpl->setVariable("id",$id);
    $tmpl->show();
    return;
}
?>
