<?php
/* vim: set et ts=4 sw=4 sts=4 ai: */
// +----------------------------------------------------------------------+
// | Search form                                                          |
// +----------------------------------------------------------------------+
// | @version $Revision: 1.5 $
// +----------------------------------------------------------------------+

//----- Sanity check - this file shouldn't be referenced directly
//		and htaccess should be configured to disallow access to this dir
if(!$page) { exit; }

$tmpl = new HTML_Template_IT(TEMPLATE_DIR,array("use_preg"=>false));
$tmpl->loadTemplateFile("search.tmpl",true,true);

$categories = getCategories();
foreach($categories as $row) {
    $tmpl->setCurrentBlock("category");
    $tmpl->setVariable(array(
        "category"  => stripslashes($row["category"]),
        "abbr"      => stripslashes($row["abbr"]),
    ));
    $tmpl->parseCurrentBlock();
}

$tmpl->setVariable("ROOT",ROOT);
$tmpl->show();
?>
